if (!IsModuleDev.toBoolean()) {
    apply plugin: 'com.android.application'
} else {
    apply plugin: 'com.android.library'
}
apply plugin: 'com.jakewharton.butterknife'
apply plugin: 'android-aspectjx'

android {
    buildToolsVersion rootProject.ext.gBuildToolsVersion
    compileSdkVersion rootProject.ext.gCompileSdkVersion
    defaultConfig {
        minSdkVersion rootProject.ext.gMinSdkVersion
        targetSdkVersion rootProject.ext.gCompileSdkVersion
        versionCode rootProject.ext.gVersionCode
        versionName rootProject.ext.gVersionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [AROUTER_MODULE_NAME: project.getName()]
            }
        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
//    implementation files('libs/tbs.jar')
    implementation project(':baselib')

    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.2.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation "androidx.multidex:multidex:2.0.1"
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

    annotationProcessor "com.alibaba:arouter-compiler:$rootProject.ext.gRouterCompileVersion"
    //流布局
    implementation 'com.beloo.widget:ChipsLayoutManager:0.3.7@aar'
    //Rxjava
    implementation "io.reactivex.rxjava3:rxjava:$rootProject.ext.gRxJavaVersion"
    implementation "io.reactivex.rxjava3:rxandroid:$rootProject.ext.gRxAndroid"
    //RxJava
    implementation "com.squareup.retrofit2:retrofit:$rootProject.ext.gRetrofitVersion"
    //Gson
    implementation "com.google.code.gson:gson:$rootProject.ext.gGsonVersion"
    //butterknife
    annotationProcessor "com.jakewharton:butterknife-compiler:$rootProject.ext.gButterKnifeVersion"
    //选择器
    implementation "com.contrarywind:Android-PickerView:$rootProject.ext.pickerViewVersion"
    //gson
    implementation "com.google.code.gson:gson:$rootProject.ext.supportGson"
    //glide
    implementation "com.github.bumptech.glide:glide:$rootProject.ext.supportGlide"
    annotationProcessor "com.github.bumptech.glide:compiler:$rootProject.ext.supportGlide"
    //加载更多
    implementation "com.jcodecraeer:xrecyclerview:$rootProject.ext.xRecyclerViewVersion"

    //指示器
    implementation "com.github.hackware1993:MagicIndicator:${rootProject.ext.mIndicatorVersion}"
    //图片压缩
    implementation "top.zibin:Luban:$rootProject.ext.lubanVersio"
    //动画
    implementation "com.plattysoft.leonids:LeonidsLib:${rootProject.ext.leonidslibVersion}"
    //banner
    implementation "com.youth.banner:banner:${rootProject.ext.bannerVersion}"
    //文件下载 1.7.7
//    implementation "com.liulishuo.filedownloader:library:${rootProject.ext.downloadVersion}"
//   PDF阅读器1 2.8.2
    implementation "com.github.barteksc:android-pdf-viewer:${rootProject.ext.pdfVersion}"
//    debugImplementation 'com.squareup.leakcanary:leakcanary-android:2.3'
    //骨架
    implementation 'com.ethanhua:skeleton:1.1.2'
    implementation 'io.supercharge:shimmerlayout:2.1.0'
    //bottom bar
    implementation "com.ashokvarma.android:bottom-navigation-bar:${rootProject.ext.bottomTab}"
    implementation 'com.github.irfaan008:IRBottomNavigationView:1.0.1'


}
